Subject: bug#5284: 23.1; gnus-summary-expire-thread does not work
From: Tom Tromey <[email-masked]>
To: [email-masked]
Date: Tue, 29 Dec 2009 11:19:38 -0700
List-Id: "Bug reports for GNU Emacs, the Swiss army knife of text editors" <bug-gnu-emacs.gnu.org>

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list,
and to the gnu.emacs.bug news group.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

I tried "T E" (gnus-summary-expire-thread) in an nnml group.
The thread disappeared from the summary buffer -- not quite what I
expected, but reasonable enough.
Then I left the group with "q" and re-entered it.
The thread was still there.
I expected all the messages in the thread to be expired.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/usr/share/emacs/23.1/etc/DEBUG for instructions.

In GNU Emacs 23.1.1 (i386-redhat-linux-gnu, GTK+ Version 2.16.6)
 of 2009-09-29 on x86-7.fedora.phx.redhat.com
Windowing system distributor `The X.Org Foundation', version 11.0.10603901
configured using `configure  '--build=i386-redhat-linux-gnu' '--host=i386-redhat-linux-gnu' '--target=i586-redhat-linux-gnu' '--program-prefix=' '--prefix=/usr' '--exec-prefix=/usr' '--bindir=/usr/bin' '--sbindir=/usr/sbin' '--sysconfdir=/etc' '--datadir=/usr/share' '--includedir=/usr/include' '--libdir=/usr/lib' '--libexecdir=/usr/libexec' '--localstatedir=/var' '--sharedstatedir=/var/lib' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--with-dbus' '--with-gif' '--with-jpeg' '--with-png' '--with-rsvg' '--with-tiff' '--with-xft' '--with-xpm' '--with-x-toolkit=gtk' 'build_alias=i386-redhat-linux-gnu' 'host_alias=i386-redhat-linux-gnu' 'target_alias=i586-redhat-linux-gnu' 'CFLAGS=-DMAIL_USE_LOCKF -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i586 -mtune=generic -fasynchronous-unwind-tables''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Diff

Minor modes in effect:
  shell-dirtrack-mode: t
  diff-auto-refine-mode: t
  erc-list-mode: t
  erc-menu-mode: t
  erc-autojoin-mode: t
  erc-ring-mode: t
  erc-pcomplete-mode: t
  erc-track-mode: t
  erc-track-minor-mode: t
  erc-match-mode: t
  erc-button-mode: t
  erc-fill-mode: t
  erc-stamp-mode: t
  erc-netsplit-mode: t
  erc-spelling-mode: t
  erc-truncate-mode: t
  erc-status-mode: t
  erc-services-mode: t
  erc-networks-mode: t
  erc-irccontrols-mode: t
  erc-noncommands-mode: t
  erc-move-to-prompt-mode: t
  erc-readonly-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
n n e r <return> <prior> <next> <next> <prior> C-v 
C-c b C-z o C-c b <switch-frame> <switch-frame> C-z 
n 1 g C-s o t h e r C-a SPC 5 0 <return> M-> C-u C-p 
SPC SPC E SPC E SPC E <help-echo> <switch-frame> <help-echo> 
<switch-frame> SPC E SPC > q C-u C-u C-n p p n SPC 
5 0 <return> M-> q s C-l C-u C-u C-n SPC M-> Q y SPC 
5 0 <return> M-> Q y s C-l M-v M-v M-v M-v M-< M-g 
M-g M-g M-g C-u C-u C-n p p p SPC c SPC SPC c C-g SPC 
n SPC SPC SPC n q SPC c SPC 1 g C-s o t h e r C-a SPC 
5 0 <return> M-> C-p p C-u <return> <return> <return> 
E S-SPC E q M-v C-l C-u C-n = <return> M-> M-v M-v 
C-u C-u C-p C-u C-p C-u C-p C-u C-p n M SPC = E E E 
E E S-SPC = E E E E E E E E E E E E E E E E E E E E 
E E E E E C-u C-p C-u C-p C-p M S-SPC M S-SPC M S-SPC 
C-u C-p C-n T E C-u E E E E E C-l C-u E E E E E E E 
E E E E E E E C-l C-u E E S-SPC E = C-u E E E E E E 
E E E E E C-n C-u E E E E E E E E E E E E C-l C-u C-u 
E q p SPC M-> C-u C-p E E E q s p SPC M-> C-h k T E 
C-z o M-x r e p o r t - e m <tab> b <tab> <return>

Recent messages:
(No changes need to be saved)
Saving /home/tromey/.newsrc.eld...
Saving file /home/tromey/.newsrc.eld...
Wrote /home/tromey/.newsrc.eld
Saving /home/tromey/.newsrc.eld...done
Retrieving newsgroup: nnml:mail.tromey.tom...
Fetching headers for nnml:mail.tromey.tom...done
Generating summary...done
Mark set
Type C-x 1 to delete the help window.

Tom